Department Config
You need the Manage departments permission to manage department configs.
Department Config- Department Config ManageGET global/departmentConfig- Get a single Department ConfigPOST global/departmentConfig:disable- Disable the Department ConfigPOST global/departmentConfig:enable- Enable the Department Config
Department Config JSON Format
Department Config is represented as simple flat JSON objects with the following keys:
| Name | Type | Description |
|---|---|---|
isEnabled |
bool | Whether Department is enabled or not. |
Get a single Department Config
GET global/departmentConfig
-
Parameters:
No Parameters
-
Response:
-
Example
Sample Request:
curl https://api11.comm100.io/v4/global/departmentConfig \
-X 'GET' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 200 OK
{
"isEnabled": true
}
Disable the Department Config
POST global/departmentConfig:disable
-
Parameters:
No Parameters
-
Response:
-
Example
Sample Request:
curl https://api11.comm100.io/v4/global/departmentConfig:disable \
-X 'POST' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 200 OK
{
"isEnabled": false
}
Enable the Department Config
POST global/departmentConfig:enable
-
Parameters:
No Parameters
-
Response:
-
Example
Sample Request:
curl https://api11.comm100.io/v4/global/departmentConfig:enable \
-X 'POST' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 200 OK
{
"isEnabled": true
}